com.tibco.tibjms.admin

## Class TransportInfo

- java.lang.Object
- - com.tibco.tibjms.admin.TransportInfo

- Direct Known Subclasses:
    FTLTransportInfo, RVCMTransportInfo, RVTransportInfo, SSTransportInfo

      public abstract class TransportInfo
      extends java.lang.Object

  This abstract class represents the data and behavior common to transports of all types that are configured on the EMS server. Transports are mechanisms for importing and exporting messages between EMS and other messaging systems. Currently the only types of transports supported are TIBCO Rendezvous and Rendezvous Certified Messaging.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `NON_PERSISTENT` NON_PERSISTENT delivery mode.
    `static int` | `PERSISTENT` PERSISTENT delivery mode.
    `static int` | `RELIABLE` RELIABLE delivery mode.
    `static int` | `TPORT_ALL` Type indicating all types of transport.
    `static int` | `TPORT_FTL` Type indicating a TIBCO FTL transport.
    `static int` | `TPORT_RV` Type indicating a TIBCO Rendezvous transport.
    `static int` | `TPORT_RVCM` Type indicating a TIBCO Rendezvous Certified Messaging transport.
    `static int` | `TPORT_SS` Type indicating a TIBCO SmartSockets transport.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getExportHeaders()` Indicates whether or not EMS header information is included in messages exported on this transport.
    `boolean` | `getExportProperties()` Indicates whether or not the EMS message properties are included in messages exported on this transport.
    `java.lang.String` | `getName()` Get the name of the transport.
    `int` | `getQueueImportDeliveryMode()` Get the delivery mode for messages imported from this transport to a queue.
    `int` | `getTopicImportDeliveryMode()` Get the delivery mode for messages imported from this transport to a topic.
    `int` | `getType()` Get the type of the transport.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TPORT_ALL

          public static final int TPORT_ALL

      Type indicating all types of transport.
      See Also:
        Constant Field Values

    - #### TPORT_RV

          public static final int TPORT_RV

      Type indicating a TIBCO Rendezvous transport.
      See Also:
        Constant Field Values

    - #### TPORT_RVCM

          public static final int TPORT_RVCM

      Type indicating a TIBCO Rendezvous Certified Messaging transport.
      See Also:
        Constant Field Values

    - #### TPORT_SS

          public static final int TPORT_SS

      Type indicating a TIBCO SmartSockets transport.
      See Also:
        Constant Field Values

    - #### TPORT_FTL

          public static final int TPORT_FTL

      Type indicating a TIBCO FTL transport.
      See Also:
        Constant Field Values

    - #### NON_PERSISTENT

          public static final int NON_PERSISTENT

      NON_PERSISTENT delivery mode.
      See Also:
        Constant Field Values

    - #### PERSISTENT

          public static final int PERSISTENT

      PERSISTENT delivery mode.
      See Also:
        Constant Field Values

    - #### RELIABLE

          public static final int RELIABLE

      RELIABLE delivery mode. This is a TIBCO extension.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Get the name of the transport.
      Returns:
        the transport's name.

    - #### getType

          public int getType()

      Get the type of the transport.
      Returns:
        the transport's type.

    - #### getTopicImportDeliveryMode

          public int getTopicImportDeliveryMode()

      Get the delivery mode for messages imported from this transport to a topic.
      Returns:
        the delivery mode.

    - #### getQueueImportDeliveryMode

          public int getQueueImportDeliveryMode()

      Get the delivery mode for messages imported from this transport to a queue.
      Returns:
        the delivery mode.

    - #### getExportHeaders

          public boolean getExportHeaders()

      Indicates whether or not EMS header information is included in messages exported on this transport.
      Returns:
        true if headers are exported, false otherwise.

    - #### getExportProperties

          public boolean getExportProperties()

      Indicates whether or not the EMS message properties are included in messages exported on this transport.
      Returns:
        true if the properties are exported, false otherwise.

Copyright © Cloud Software Group, Inc. All rights reserved